POST/combined_shipping_rules/create_flat_shipping_rules
This method is used to create fixed-rate (flat) shipping rules that apply standard combined shipping costs for a seller’s listings.
Input
Resource URI
This method is supported in Sandbox environment. To access the endpoint, just replace the api.ebay.com root URI with api.sandbox.ebay.com
URI parameters
This method has no URI parameters.
HTTP request headers
All requests made to eBay REST operations require you to provide the Authorization HTTP header for authentication authorization.
The table below shows additional HTTP request headers that are either required, conditionally required, or strongly recommended for this method. Other standard HTTP request headers- opens rest request components page (not in this table) can also be used, but they are optional.
| Header | Type | Description |
|---|---|---|
| X-EBAY-C-MARKETPLACE-ID | string | This field specifies the eBay marketplace identifier where the operation will be executed. This header ensures that the promotional shipping rule is applied to the correct regional marketplace (for example, EBAY_US, EBAY_GB, EBAY_DE). Occurrence: Required |
OAuth scope
This request requires an access token created with the client credentials grant flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):
https://api.ebay.com/oauth/api_scope/sell.account
See OAuth access tokens for more information.
Request payload
Copy complete valid JSON to clipboardRequest fields
| Input container/field | Type | Description |
|---|---|---|
| combinedDuration | CombinedPaymentPeriodEnum | This container specifies the time window during which multiple unpaid orders can be combined into a single payment or invoice, represented by using one of the values in CombinedPaymentPeriodEnum type. Occurrence: Optional |
| flatShippingRule | FlatShippingRuleType | This container defines the flat-rate combined-shipping rule, which applies a fixed shipping cost for multiple items shipped together. Occurrence: Optional |
| flatShippingRule.combinedShippingRules | array of CombinedShippingRule | This array specifies the type of combined-shipping rule applied, such as flat-rate or cost-based. Occurrence: Optional |
| flatShippingRule.combinedShippingRules.combinedShippingRuleId | string | This field represents the unique identifier for the combined-shipping discount profile, Occurrence: Optional |
| flatShippingRule.combinedShippingRules.combinedShippingRuleName | string | This field specifies the unique name identifying the combined shipping discount profile within the seller’s account. This name is configured by the seller and can have a maximum of XX characters. Occurrence: Optional |
| flatShippingRule.combinedShippingRules.eachAdditionalAmount | Amount | This containter defines the additional monetary charge applied for each extra item when multiple items are shipped together. Occurrence: Optional |
| flatShippingRule.combinedShippingRules.eachAdditionalAmount.currency | CurrencyCodeEnum | The base currency applied to the value field to establish a monetary amount. Occurrence: Optional |
| flatShippingRule.combinedShippingRules.eachAdditionalAmount.value | string | The monetary amount in the specified currency. Occurrence: Optional |
| flatShippingRule.combinedShippingRules.eachAdditionalAmountOffShippingCost | Amount | This container defines the fixed discount amount deducted from the total shipping cost for each additional item. Occurrence: Optional |
| flatShippingRule.combinedShippingRules.eachAdditionalAmountOffShippingCost.currency | CurrencyCodeEnum | The base currency applied to the value field to establish a monetary amount. Occurrence: Optional |
| flatShippingRule.combinedShippingRules.eachAdditionalAmountOffShippingCost.value | string | The monetary amount in the specified currency. Occurrence: Optional |
| flatShippingRule.combinedShippingRules.eachAdditionalPercentOffShippingCost | number | This integer specifies the percentage discount applied to the total shipping cost for each additional item in the combined order. Occurrence: Optional |
| flatShippingRule.combinedShippingRules.mappedCombinedShippingRuleId | string | This field specifies the unique ID that links this combined-shipping rule to another related rule in the seller’s account. Occurrence: Optional |
| flatShippingRule.combinedShippingRules.weightOffTotalWeight | MeasureType | This container specifies the total weight reduction applied when combining multiple items into one shipment. Occurrence: Optional |
| flatShippingRule.combinedShippingRules.weightOffTotalWeight.unit | WeightUnitOfMeasureEnum | This field defines the unit of measure (e.g., kilograms, pounds) associated with the value field. Occurrence: Optional |
| flatShippingRule.combinedShippingRules.weightOffTotalWeight.value | string | This field defines the numeric value representing the measurement, weight, in the specified unit. Occurrence: Optional |
| flatShippingRule.combinedShippingRuleType | CombinedShippingRuleTypeEnum | This container defines the type of discount rule applied (e.g., percentage-based, fixed-rate). Occurrence: Optional |
Output
HTTP response headers
This call has no response headers.
Response payload
This call has no payload.
Response fields
This call has no field definitions.
HTTP status codes
This call can return one of the following HTTP status codes. For an overview of the status codes, see HTTP status codes in Using eBay RESTful APIs.
| Status | Meaning |
|---|---|
| 204 | No Content |
| 400 | Bad Request |
| 500 | Internal Server Error |
Error codes
For more on errors, plus the codes of other common errors, see Handling errors.
| Code | Domain | Category | Meaning |
|---|---|---|---|
| 395000 | API_ACCOUNT | APPLICATION | There was a problem with an eBay internal system or process. Contact eBay developer support for assistance. |
| 396000 | API_ACCOUNT | REQUEST | Invalid or missing 'currency'. |
| 396002 | API_ACCOUNT | REQUEST | Invalid or missing 'combinedShippingRuleType'. |
| 396003 | API_ACCOUNT | REQUEST | Combined shipping rule names must be unique. Rule names cannot match existing rules in the system or be duplicated within the request. |
| 396004 | API_ACCOUNT | REQUEST | Invalid or missing 'combinedShippingRules' data. Please verify all required fields are provided with valid values. |
| 396005 | API_ACCOUNT | REQUEST | Invalid or missing 'combinedShippingRuleName'. |
| 396006 | API_ACCOUNT | REQUEST | Invalid or missing 'eachAdditionalAmount'. |
| 396007 | API_ACCOUNT | REQUEST | Invalid or missing 'combinedDuration'. |
| 396008 | API_ACCOUNT | REQUEST | Invalid or missing 'eachAdditionalAmountOffShippingCost'. |
| 396009 | API_ACCOUNT | REQUEST | Invalid or missing 'eachAdditionalPercentOffShippingCost'. |
| 396010 | API_ACCOUNT | REQUEST | For create operation, 'combinedShippingRuleId' is not allowed. |
| 396023 | API_ACCOUNT | REQUEST | The specified marketplace ID was not found. |
| 396024 | API_ACCOUNT | REQUEST | Missing 'flatShippingRule'. |
Warnings
This call has no warnings.
Samples
New to making API calls? Please see Making a Call.
Note: Identifiers, such as order IDs or user IDs, and personal data in these samples might be anonymized or may no longer be active on eBay. If necessary, substitute current, relevant eBay data in your requests.
Sample 1: Create flat shipping rules
This method is used to create flat shipping rules for combined shipping discounts.
Input
This method requires a request body containing the flat shipping rules to be created. Additionally, the X-EBAY-C-MARKETPLACE-ID header is required.
POSThttps://api.ebay.com/sell/account/v2/combined_shipping_rules/calculated/***********
Output
If the call is successful, a 204 success message is returned in the response body.